Jump to content
WilcoTech

Need Step by Step for Return URL for Paypal Express

Recommended Posts

I have setup my Paypal account to point to http://www.whdservices.com/store/checkout_process.php and the api test in the oscommerce admin returns this:

 

 

Failure!

 

The PayPal Express Checkout credentials are not set up correctly for live production use.

array(13) {

["TIMESTAMP"]=>

string(20) "2012-09-18T19:29:49Z"

["CORRELATIONID"]=>

string(13) "6b71ddbcdcc97"

["ACK"]=>

string(7) "Failure"

["VERSION"]=>

string(4) "60.0"

["BUILD"]=>

string(7) "3622349"

["L_ERRORCODE0"]=>

string(5) "10471"

["L_ERRORCODE1"]=>

string(5) "10472"

["L_SHORTMESSAGE0"]=>

string(94) "Transaction refused because of an invalid argument. See additional error messages for details."

["L_SHORTMESSAGE1"]=>

string(94) "Transaction refused because of an invalid argument. See additional error messages for details."

["L_LONGMESSAGE0"]=>

string(21) "ReturnURL is invalid."

["L_LONGMESSAGE1"]=>

string(21) "CancelURL is invalid."

["L_SEVERITYCODE0"]=>

string(5) "Error"

["L_SEVERITYCODE1"]=>

string(5) "Error"

}

 

Please note I have not edited any files in oscommerce....

Can someone provide simple step by step instructions to get this working correctly and not just try this and bail......if we had simple

1. do this

2. do this

3. do this

from beginning to end it would benefit the whole oscommerce community....please help

Share this post


Link to post
Share on other sites

The API belongs to Paypal, not osCommerce. Ask them.

 

Or just read the output that OP posted. I see two things that are quite clear:

1. Return URL is invalid.

2. Cancel URL is invalid.

Those are settings in your Paypal account. Ask Paypal if you don't know where to find them.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Those errors have to do with a misconfigured includes/configure.php set up.

Share this post


Link to post
Share on other sites

Marcella, Is it possible you might elaborate a bit on your comment please?

I have the open configure.php file in front of me and am not certain if I am missing a slash(/) period or???

I have also spent a few months reading up on and trying to isolate this issue, as well as an hour or so on the phone with PayPal and they also conclude that the problem is within OSC, yet I can't seem to get past this silly error - as listed above - invalid cancelurl and returnurl -

any direction you might be able to offer would be greatly appreciated.

 

Thanks

GrandpaKirk

Share this post


Link to post
Share on other sites

In reference to my previous post, I am hoping I have resolved the issue, all I did was to change the strings from each file as shown below;

catalog/includes/configure.php

 

define('ENABLE_SSL', true); changed this to

define('ENABLE_SSL', false);

 

and in the catalog/admin/includes/configure.php

 

define('ENABLE_SSL_CATALOG', 'true'); changed this to

define('ENABLE_SSL_CATALOG', 'false');

 

Now I might have been good to try one at a time - but regardless - I will finally be able to put this site to use. After changing these last settings, I ahve finally done the Test API from within admin panel on OSC and received this notice - for the first time!

 

Success!

 

The PayPal Express Checkout credentials have been set up correctly for live production use.

 

Thanks in advance - if there might be other suggestions on correcting this please feel free to drop a note.

 

Thanks again

 

GrandpaKirk

Share this post


Link to post
Share on other sites

kymation's point is well made, that the API test results are generated by Paypal. It may be worth mentioning for the archive that

 

RETURNURL

 

and

 

CANCELURL

 

can be set on a per-transaction basis in

 

function setExpressCheckout($parameters)

 

which is itself in

 

catalog/includes/modules/payment/paypal_express.php

 

This over-rides PP account settings. A merchant might after all have several stores, and thus need several RETURN and CANCEL URL's.

Share this post


Link to post
Share on other sites

I'm stuck with the same error/problem as the original poster here. I have essentially the same error log email message - bad returnURL, bad cancelURL.  I'm also getting "failed" error on "Test API Server Connection".

 

Using osC2.3.4 with the included PayPal Express payment module (shows v3.0 in module).  Have PayPal Return URL set to  "  https://mydomain.com/oscommerce/catalog/checkout_process.php (there's no "Cancel URL" in PayPal settings).  I have "enable SSL" set to "True" in my osC configure files, as I believe that this is necessary for the rest of my store to function (from prior debugging efforts).  I have an SSL certificate from my ISP that's checked as valid, and I also just tried downloading a public certificate from PayPal (seems to make no difference).

 

Appreciate some response as I don't believe that my PayPal has been working.

Share this post


Link to post
Share on other sites

thanks for your reply, Dan.  No, I am not using the PayPal App v4.039 that you reference.  As mentioned, I'm using the native PayPal Express module, v3.0, that is bundled by osC v2.3.4.  I did not add-on any PayPal modules because I didn't see a need for the additional features described in them, and the original PP/E module worked fine in the past.  I suppose that can easily add-on the PayPal App v4.039 as you suggest.  Before I try that, I'd ask whether you might know if the osC native PP/E module is obsolete or why I might be having trouble now.  Does there need to be a general notice about this, or an update to osC ?  I'll wait for your reply, and will let you know my results afterward.

Share this post


Link to post
Share on other sites

@@jjlyman

 

I don't know if it is obsolete but I do know that others are using the PayPal App Express Module without the problems you've described and it is included in the core code now.   If I were you I'd give it a shot....if it doesn't work for you, at the very least you'll get support with any problems you might have.

 

Dan

Share this post


Link to post
Share on other sites

Thanks, Dan.  I did go ahead and install PayPal App v4.039 add-on.  I can see that, indeed, the PayPal Express version in this add-on is different (updated) from the native version that's supplied with the osCv2.3.4 system download.  There's no longer the "Test API Server Connection" function, but earlier checks with my ISP and PayPal say that my SSL certificates are fine.

 

However, I'm not sure that PayPal is working.  I don't seem to have been able to make a test order with my own credit card, and PayPal says that I can't test using my own card -- they have some kind of block on any card with same name as PayPal account holder (thought I thought that I've been able to do this test in the past).  I haven't had any successful customer orders with PayPal payment, and a couple of customers have reported problems (unspecific).

 

This may be unrelated to PayPal, but my osC v2.3.4 "Security Checks" show errors for "Admin HTTP Authentication..not set up" (my "admin" folder is renamed and write protected, as recommended, "Config../Admin..Additional Error..." for .htaccess file).  I've researched a bit and tried a couple of setting changes, but no luck fixing error messages.  I'm also getting "Security Checks...Version Checker" error, but actual version check function shows "current".  None of this seems to affect operation of the public store functions, and I can write orders for payment "by check" (i.e., no payment required to complete the order).

 

Separately, I see osCv2.3.4 Manual Order Entry allows "admin" to enter a PayPal payment by credit card.  Normally, PayPal does not offer this kind of service directly (i.e., a "virtual terminal").  Can you tell me if this Manual OE with current PayPal add-on will, in fact, allow "admin" to manually enter the customer's PayPal payment (instead of the customer making payment from their side) ?

Share this post


Link to post
Share on other sites

Sorry @@jjlyman I don't use either PayPal Express or the Manual Order add on so I can't help with those.  You really should get yourself on the osC Gold or Edge version.  That may or may not help solve the problems you describe but at least your efforts will be spent sorting out issues with a current version instead of wasting your time on what many now think is an obsolete version.

 

Dan

Share this post


Link to post
Share on other sites

Thanks for the reply, Dan, but not so helpful.  My osC is modified, necessarily, with a few add-ons (e.g., Manual Order Entry, Quantity Price Breaks, others).  Until I know that there's another system with the necessary add-ons or mods available, support, etc. its a "waste of time" to start into other versions of osC only to find that they can't work for my business.  No idea what are "Gold" or "Edge" (you didn't provide links), and the BS version (someone else recommended that a while back) doesn't seem to have necessary add-ons.  It takes days / weeks, even months to get a modified osC system working for my business -- very costly.  I'd much rather get this official current osC version working, as it should.  I seem to have only this PayPal issue at the moment, after overcoming other significant problems, and this should be fixable I'd think -- the PayPal add-on is advertised as fairly current.

 

If someone here can address my question, I'd be grateful.

Share this post


Link to post
Share on other sites

I'd much rather get this official current osC version working, as it should. 

 

While osCommerce 2.3.4 is the official current version. While it was beautifully coded, it has not been updated in many years.

 

A new official version, 2.3.5, will be released shortly. 2.3.5 is based on osCommerce Edge (the community version) and will be up to date as far as security, responsiveness, and coding standards go. It will also be fully modular, meaning addons can be written without touching the core code - just upload files, turn on the module, done. It would never take months to transfer to Edge.

 

Why wouldn't anyone want to upgrade now, rather than try and get an obsolete system up to speed? Why wouldn't anyone want to upgrade now, and avoid postponing the inevitable further down the track? It doesn't make sense.


Let's make things easier for new osCommerce users http://forums.oscommerce.com/topic/402638-discussion-about-hard-coded-database-tables/?p=1718900  Getting there with osCommerce 2.4! :thumbsup:

Share this post


Link to post
Share on other sites

OK, frankl, thanks for the response.  But I'm confused by what you say :   "2.3.5, will be released shortly" vs. "Why wouldn't anyone want to upgrade now".  Which is it...in the near future or currently available ?  And considering the past time scales, exactly when might v2.3.5 be released (months, years) ?  Perhaps a credible link..?

 

Your promo above is interesting but why not at least post some links to whatever it is you're recommending, and maybe some good, reliable information about the products ?  This thread is the first I've heard of these product references -- how is the community or prospective users supposed to understand these options and make a choice of products ?  I'd be glad to look into this myself, but for my particular business, I'll need to be sure that the required add-ons/mods are there before I can consider any other version.  Otherwise, I'm where I left off above.

Share this post


Link to post
Share on other sites

Hi @@jjlyman, my apologies but I was confused. 2.3.5 will be a maintenance release for 2.3.4 and will be released shortly.

 

 

2.4.0 will be based on the Edge version of osCommerce. Edge is available from the link here

 

As for required addons and mods, these should be rewritten to work with the more up to date version of osCommerce, as the older versions won't be upgraded any more.

 

Do it properly, don't try to keep shoehorning old and new code together. Our site has thousands of orders per week, but only took 4 weeks to convert to 2.3.4BS (at that time there was no distinction between Gold and Edge) from a mid 2000s era 2.2MS store -- even with dozens of addons and custom code.

 

When we upgrade to 2.4 it will be a snap - just install osCommerce, upload our modules, turn them on, then we are good to go :)


Let's make things easier for new osCommerce users http://forums.oscommerce.com/topic/402638-discussion-about-hard-coded-database-tables/?p=1718900  Getting there with osCommerce 2.4! :thumbsup:

Share this post


Link to post
Share on other sites

Thanks, frankl, perhaps your info is helpful to the community, but doesn't seem applicable to me or similar businesses.  You say "addons and mods...should be rewritten" :  I would not try to do this myself (not a professional "coder").  And "only took 4 weeks" -- how many people working on that, with what coding skills, etc. ?  That's not something that I would even consider, spending so much time away from my business for an unsure result, even if I had those coding skills.  You say "2.4 it will be a snap - just install...upload our modules, turn them on..." but you don't mention the add-ons (or were you refering to v2.4 when you say "addons and mods...should be rewritten" -- I'm not clear).

 

From my limited understanding of these upgrades so far, I'm not sure that I'll even be able to find add-ons for them that I require, if contributors don't update those.  Makes me wonder if I'll be able to do any upgrade beyond v2.3.4.  Frankly, frankl, I'm very confused about where this is going and how I'll fare.  Am I missing something (rhetorical at this point) ?   Nothing seems straight forward.

Share this post


Link to post
Share on other sites

@@jjlyman

 

I spent some money, true, but 95% of our upgrade I did myself. Having a modern, secure, responsive website is important to me. It also means more revenue which is the aim of the game.

 

If you are happy with what you have, or don't want to spend time or money on your website, that's fine. As you have experienced, you will have stumbles on the way because code is updated leaving you behind but it seems you are happy to fix those as you go along. While your website might not be the best for you and your customers, as long as you are comfortable there is no need to upgrade.

 

I sincerely wish you good luck in the future.

Edited by frankl

Let's make things easier for new osCommerce users http://forums.oscommerce.com/topic/402638-discussion-about-hard-coded-database-tables/?p=1718900  Getting there with osCommerce 2.4! :thumbsup:

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×